Page MenuHomePhabricator

ApiQueryAbuseLog: Undefined index wiki
Closed, ResolvedPublic

Description

Spotted in production:

Notice: Undefined index: wiki in /srv/mediawiki/php-1.31.0-wmf.20/extensions/AbuseFilter/includes/api/ApiQueryAbuseLog.php on line 143

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : wmf/1.31.0-wmf.20API: Fix "Undefined index: wiki" warnings
mediawiki/extensions/AbuseFilter : masterAPI: Fix "Undefined index: wiki" warnings

Event Timeline

demon triaged this task as Medium priority.Feb 9 2018, 7:55 PM
demon created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2018, 7:55 PM
$this->addWhereIf( [ 'afl_wiki' => $params['wiki'] ],
  $wgAbuseFilterIsCentral && isset( $params['wiki'] ) );

That won't work :(

Huji added a subscriber: Huji.Feb 9 2018, 8:14 PM

@Legoktm how come gerritbot did not leave a link to the patch here in the task?

Huji closed this task as Resolved.Feb 9 2018, 8:14 PM
Huji claimed this task.
Huji reassigned this task from Huji to Legoktm.
Huji removed a project: Patch-For-Review.

Mentioned in SAL (#wikimedia-operations) [2018-02-09T21:28:56Z] <demon@tin> Synchronized php-1.31.0-wmf.20/extensions/AbuseFilter/includes/api/ApiQueryAbuseLog.php: T186914 (duration: 00m 54s)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM